Initiate outbound call
curl --request POST \
--url https://api.g-tateth.com/api/telephony/calls/initiate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customerPhone": "+2348012345678",
"agentId": "<string>",
"customerId": "<string>",
"conversationId": "<string>",
"customGreeting": "<string>",
"recordingEnabled": true
}
'import requests
url = "https://api.g-tateth.com/api/telephony/calls/initiate"
payload = {
"customerPhone": "+2348012345678",
"agentId": "<string>",
"customerId": "<string>",
"conversationId": "<string>",
"customGreeting": "<string>",
"recordingEnabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customerPhone: '+2348012345678',
agentId: '<string>',
customerId: '<string>',
conversationId: '<string>',
customGreeting: '<string>',
recordingEnabled: true
})
};
fetch('https://api.g-tateth.com/api/telephony/calls/initiate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"callId": "<string>",
"conversationId": "<string>",
"webRTC": {}
}
}Telephony
Initiate outbound call
Initiates an outbound call to a customer
POST
/
api
/
telephony
/
calls
/
initiate
Initiate outbound call
Authorizations
JWT session token authentication. Use for user-context requests. The token is returned by the login endpoint and expires after 15 minutes.
Body
application/json
Customer phone number in E.164 format
Example:
"+2348012345678"
ID of the agent making the call
Existing customer ID (optional)
Link call to existing conversation
Custom greeting message to play before connecting
Enable call recording
⌘I